SHSHの事前確保は不要!! iPhone 4s向け「iOS 6.1.3へのダウングレード」手法がリリース

(42)

少し前にA5 / A6向けのダウングレード手法【Odysseus】がリリースされましたが、今回はこれを応用した【odysseusOTA】という物!

通常は事前にSHSHを保存していなければダウングレードは行えませんが、odysseusOTAではiOS 6.1.3 SHSHを持っていなくてもダウングレードが出来る…という、少し面白い仕組みになっています!
ただ、使用可能な条件がちょっと厳しい様子………

スポンサーリンク

SHSHが必要ない?

SHSHが不要…というわけではないのですが、いつものように「iOS 6.1.3が最新版だったときにSHSHを保存していた人限定」ではありません!

今回の【odysseusOTA】は、現在も発行中の「OTA用iOS 6.1.3 SHSH」を利用し、ダウングレードを行う仕組みになっています。
そのため、「iOS 6.1.3 SHSHを保存していなかった人も使える」事になります!

ただし、OTA用iOS 6.1.3 SHSHは以下の2デバイス向けにしか発行されておらず、使用可能なデバイスはこれらに限定されます。

  • iPhone 4s
  • iPad 2

条件がちょっと厳しい

  • 過去にiOS 5.0.1 or iOS 5.1.1(たぶん)を動かしたことがあるデバイス
  • 脱獄済みである
  • WiFi経由でOpenSSH接続が可能である
  • Mac / Linux版のみ&コマンド操作が必須

Odysseus】の応用ですので下3つは同じなのですが、今回はOTA用SHSHと言う事もあってなのか、iOS 5.0.1もしくはiOS 5.1.1を動かしたことのあるデバイスに限定されています。(ただ異なる説明も書かれている事があり、要確認)

チュートリアル

開発者さんが実際に実行しているチュートリアルが公開されています。最新版のodysseusOTAもこちらからダウンロード可能。
ちなみに、【odysseusOTA-v1.0.1.zip】段階ではiPhone 4sのみ対応となっています。

実際にiPhone 4sで使ってみましたが、【Odysseus】と比べてエラーの対処が若干面倒な雰囲気・・・。場合によってはライブラリのインストールから必要…なんてこともあり、大変。
また、環境次第の部分もあるため、挑戦する際はお時間の取れるときに行いましょう!

遊び用としては、なかなか面白いかも!

コメント

  1. なんか小難しいすね。

  2. すいません
    記事に関係ないのですが
    Low Power Bannerってアプリ
    まだ、iOS8.3の脱獄に対応してないですよね?

    知ってる方いたらお願いします…

    • それってios5と6だけでしょ

  3. iOS5にはもどせないんですかね?
    iOS6.1.3のみですかね?

  4. これのiPod touch 5でないかなー
    WIN環境の仮想Linuxで動くのかな?

  5. OTAとはいえなんでいまでも6.1.3のshsh発行されてるんだろう?

    • 3GSの4.1も謎

  6. OTAってなんですか?

    • この際のOTA 【 Over-The-Air 】は、パソコンを使わず、デバイスのみでiOSのアップデートを行う場合の意味となります。
      設定アプリ内から「ソフトウェアアップデート」を行う事ですね!

      • わざわざありがとうございます!

    • そんくらいググれやw

  7. ios5.0.1動かしたことがあるかどうかの確認ってできまへん?

  8. Windowsないのか~…

  9. 動作が重いiPhone4sにはもってこいの情報ですな!

  10. 7月1日の午前0時にios8.4がリリース予定です。

  11. 封印箱から脱出じゃっ!

  12. iPhone5もSHSHなしで7.1代に戻せたら最強

    • iPhone5はApp Storeのアプリが対応してないとか抜いたら、6.1.2だろ

  13. libirecovery.2.dylib がないってエラーで出来ない・・・orz

  14. iPad2対応とwin版リリースされる可能性があるといいな…

  15. gitからソースを取得してビルドしたidevicerestoreでダウングレードできました。

    ビルド手順はredditにありました。
    ttp://www.reddit.com/r/jailbreak/comments/3bfrd5/release_odysseusota_downgrade_iphone4s_or_ipad2/

    でわでわ

  16. のところの始めのほう、「SHSHが不要…というわけ事ではないのですが、」となってるのですが誤字ってないですか?

    • ありゃ、〈〉でくくった部分が消えてる。

      「SHSHが必要ない?」のところの始めのほうです

  17. やたらとエラー出ましたが、なんとかダウングレード成功しました!
    いつもありがとうございます!

  18. 早くもver.1.0.2が来てますね

  19. 同じA5チップなのにiPod touch5はできないのね…
    残念(´;ω;`)

  20. iphone4はodysseusOTAでダウングレード可ですか?

    • Limera1n Exploitより簡単にって意味ですw

  21. 脱獄関係なく4s自体が8.3でwi-fi掴まなくなってしまい途中からの作業が出来ない悔しぃ

  22. 8.4からいけました。バックアップ使えなくてまっさら。

  23. windowsでもダウングレードできるようになったんですねー
    ttps://www.reddit.com/r/jailbreak/comments/3btam2/news_downgrade_to_ios_613_for_iphone_4s_on_windows/

    • WIN版に関してv
      どなたか詳しくご教授お願いできませんか?
      この数日試してみましたが
      ios6.1.3ダウンロードまでいたりませんでした。
      直前で蹴られてしまいまして原因がつかめませんでした。
      「過去にiOS 5.0.1 or iOS 5.1.1(たぶん)を動かしたことがあるデバイス」
      ではないのかな。

      • 事前準備
        ・iTunesを12.0.1にダウングレード
        ・TaiG v2を使ってiOS8.4から脱獄
        ・PCとiPhoneは同一のWi-Fiネットで繋げる

        やったこと(このページを参考)

        01 ココのファイルのファイルを全てダウンロード

        02 ダウンロードしたzipを解凍したものとfistmedaddy.ipswをデスクトップ等にフォルダを配置

        03 WinSCPをインストール→既にインストールしている場合は不要

        04 OpenSSHをインストール→既にインストールしている場合は不要

        05 脱獄したiphoneにWinSCPでユーザ:mobileで接続

        06 WinSCPかifunboxにて、iphoneの/var/root下にkoader、pwnediBSSを置く

        07 脱獄したiphoneにTerraTremでユーザ:rootで接続

        08 TerraTremでchmod +x kloaderと打つと、kloaderに実行権限を付与される

        09 続いて、./kloader pwnediBSSを打つと→iphoneがDFUモードになる(iPhoneの画面が真っ黒になったらOK!)

        10 iphoneをケーブルでPCに接続して認識させる

        11 CMDを管理者権限で実行しfistmedaddy.ipswのフォルダまで移動(下記参照)

        12 CMDよりidevicerestore.exe -e fistmedaddy.ipswを実行

        あとは、画面が立ち上がるまでひたすら待つ!

  24. iPhone5もshsh無しでダウングレードが出来るようになって欲しい…

  25. iPad2,1用のfirmware bundle来てますね
    ttps://www.reddit.com/r/jailbreak/comments/3bfrd5/
    Down_iPad2,1_6.1.3_10B329.bundle.zip

    うちのは2,4だから・・・orz

  26. 4sいけました。7.1.2に出来ると実用的なんですがねー

    • shshがあるならodysseus-0.4で7.1.2に出来ますね

  27. Linuxで行けた人いる?早い段階でno such fileエラー出る。Linux用にコンパイルされたやつ不備あるよね?

    • ライブラリ入れてから実行してみたら?
      ttps://github.com/dayt0n/OdysseusLinuxSetup

  28. OS X MavericksにてiPad2 iOS8.4からiOS6.1.3へとダウングレード成功!
    やっぱりA5デバイスはiOS6が性能的に妥当だね。
    動作とメモリ使用量が全く違う。

    エラーが出る方は環境変数とかファイル名が合っているか確認したほうがいいですよ。
    自分はいつかやったNexus7のダウングレードでPATHが変わっていました。

    条件が満たされていれば本当にダウングレードできます。
    GUIのツールがでれば楽なんですがね・・。

  29. この写真ttp://i.imgur.com/WwPqRwb.pngのmaps_info_7.1.1.plistファイルがないんですけど原因等わかる方いますか?
    もしよければ教えてください